> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all connectors



## OpenAPI

````yaml /api-reference/membrane-api.json get /connectors
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /connectors:
    get:
      tags:
        - Connectors
      summary: List all connectors
      operationId: listConnectors
      parameters:
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: cursor
          required: false
          in: query
          schema:
            type: string
        - name: workspaceId
          required: false
          in: query
          description: '[INTERNAL] Legacy field for backward compatibility'
          schema:
            type: string
        - name: search
          required: false
          in: query
          schema:
            type: string
        - name: appUuid
          required: false
          in: query
          schema:
            type: string
        - name: externalAppId
          required: false
          in: query
          schema:
            type: string
        - name: includeArchived
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectorsPaginatedResponseDto'
components:
  schemas:
    ConnectorsPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````